شما هنوز به سیستم وارد نشده اید.

#1 2017-04-25 02:40:11

pmzt
عضو
از : tehran
ثبت شده: 2016-03-13
ارسال ها: 61
وب سایت

مشکل در نصب برنامه failed to commit transaction

سلام دوستان
من دارم full برنامه های blackarch رو نصب میکنم ولی موقع نصب به ارور میخورم

[spmzt@la-hp ~]$ sudo pacman -S blackarch
.
.
.
 dotdotpwn-3.0.2-1-any                                                                    45.4 KiB  83.1K/s 00:01 [##############################] 100%
 evilginx-5.4e11bd7-1-any                                                                 18.4 KiB  5.99M/s 00:00 [##############################] 100%
 gef-886.188fbe1-1-any                                                                    87.9 KiB  70.7K/s 00:01 [##############################] 100%
error: failed retrieving file 'sqlmap-1.1.3-1-any.pkg.tar.xz' from www.mirrorservice.org : Maximum file size exceeded
warning: failed to retrieve some files
 locasploit-95.b089213-1-any                                                              84.5 KiB   156K/s 00:01 [##############################] 100%
 mobsf-388.d10e42a-1-any                                                                  69.9 MiB  89.1K/s 13:23 [##############################] 100%
 o-saft-1796.12ff4ca-1-any                                                               933.8 KiB  82.0K/s 00:11 [##############################] 100%
 pret-72.61e65ed-1-any                                                                   881.8 KiB  67.6K/s 00:13 [##############################] 100%
error: failed retrieving file 'scrapy-1.3.3-1-any.pkg.tar.xz' from www.mirrorservice.org : Maximum file size exceeded
warning: failed to retrieve some files
n thezoo-133.3204971-1-any                                                             314.5 MiB  10.2K/s 01:04:41 [#######################--------]  89error: failed retrieving file 'thezoo-133.3204971-1-any.pkg.tar.xz' from www.mirrorservice.org : Operation too slow. Less than 1 bytes/sec transferred the last 10 seconds######-------]  90%
warning: failed to retrieve some files
 urh-1849.39a03e7-1-x86_64                                                                 5.5 MiB  13.5K/s 06:57 [#############################] 100%
 viper-1245.2a795d6-1-any                                                                806.4 KiB  13.9K/s 00:58 [#############################] 100%
error: failed to commit transaction (unexpected error)
Errors occurred, no packages were upgraded.

ممنون میشم راهنمایی کنید :-)


Network Administrator
Moesakaru sekai ni

آفلاین

#2 2017-04-25 17:40:36

pmzt
عضو
از : tehran
ثبت شده: 2016-03-13
ارسال ها: 61
وب سایت

پاسخ: مشکل در نصب برنامه failed to commit transaction

کسی میدونه مشکلش چیه؟


Network Administrator
Moesakaru sekai ni

آفلاین

#3 2017-04-25 20:32:33

Arcush
Moderator
ثبت شده: 2015-09-15
ارسال ها: 1,282

پاسخ: مشکل در نصب برنامه failed to commit transaction

درود.

لطفا بهیچ وجه تاپیک رو up نکنید. مطمئن باشید پرسش شما دیده میشه و نیازی به چنین یادآوری هائی نیست. حتما اگر کسی تشخیص بده، بموقع پاسخ خواهد داد. اما این ارسال ها [ی معادل با اسپم] در انجمن کاملا مطرود اند و با توجه به سطح افکار اعضای انجمن، از اموری است که رعایت اونها کاملا بدیهیه.

آفلاین

#4 2017-04-26 06:36:17

morealaz
عضو
از : کرمان
ثبت شده: 2016-03-19
ارسال ها: 292

پاسخ: مشکل در نصب برنامه failed to commit transaction

مشکل اینه که pacman نمیتونه بعضی بسته ها رو از میرور مورد نظر دانلود کنه. با توجه به خطای زیر ظاهرا میرور شما محدودیت حجم فایل داره:

error: failed retrieving file 'sqlmap-1.1.3-1-any.pkg.tar.xz' from www.mirrorservice.org : Maximum file size exceeded
warning: failed to retrieve some files

سعی کنید میرور رو عوض کنید و از یک میرور دیگه استفاده کنید و با دستور زیر دوباره امتحان کنید:

$ sudo pacman -Syyu blackarch

آخرین ویرایش توسط morealaz (2017-04-26 06:48:56)

آفلاین

#5 2017-04-26 23:44:29

pmzt
عضو
از : tehran
ثبت شده: 2016-03-13
ارسال ها: 61
وب سایت

پاسخ: مشکل در نصب برنامه failed to commit transaction

morealaz نوشته است که:

مشکل اینه که pacman نمیتونه بعضی بسته ها رو از میرور مورد نظر دانلود کنه. با توجه به خطای زیر ظاهرا میرور شما محدودیت حجم فایل داره:

error: failed retrieving file 'sqlmap-1.1.3-1-any.pkg.tar.xz' from www.mirrorservice.org : Maximum file size exceeded
warning: failed to retrieve some files

سعی کنید میرور رو عوض کنید و از یک میرور دیگه استفاده کنید و با دستور زیر دوباره امتحان کنید:

$ sudo pacman -Syyu blackarch

خیلی ممنون الان دانلودش تموم شد ولی برای نصبش ارور میده

/usr/lib/ruby/gems/2.4.0/gems/json-2.0.3/tools/fuzz.rb exists in both 'ruby-json' and 'yawast'
/usr/lib/ruby/gems/2.4.0/gems/json-2.0.3/tools/server.rb exists in both 'ruby-json' and 'yawast'
/usr/lib/ruby/gems/2.4.0/specifications/json-2.0.3.gemspec exists in both 'ruby-json' and 'yawast'
/usr/lib/ruby/gems/2.4.0/gems/colorize-0.8.1/CHANGELOG exists in both 'ruby-colorize' and 'yawast'
/usr/lib/ruby/gems/2.4.0/gems/colorize-0.8.1/LICENSE exists in both 'ruby-colorize' and 'yawast'
/usr/lib/ruby/gems/2.4.0/gems/colorize-0.8.1/README.md exists in both 'ruby-colorize' and 'yawast'
/usr/lib/ruby/gems/2.4.0/gems/colorize-0.8.1/Rakefile exists in both 'ruby-colorize' and 'yawast'
/usr/lib/ruby/gems/2.4.0/gems/colorize-0.8.1/colorize.gemspec exists in both 'ruby-colorize' and 'yawast'
/usr/lib/ruby/gems/2.4.0/gems/colorize-0.8.1/lib/colorize.rb exists in both 'ruby-colorize' and 'yawast'
/usr/lib/ruby/gems/2.4.0/gems/colorize-0.8.1/lib/colorize/class_methods.rb exists in both 'ruby-colorize' and 'yawast'
/usr/lib/ruby/gems/2.4.0/gems/colorize-0.8.1/lib/colorize/instance_methods.rb exists in both 'ruby-colorize' and 'yawast'
/usr/lib/ruby/gems/2.4.0/gems/colorize-0.8.1/lib/colorized_string.rb exists in both 'ruby-colorize' and 'yawast'
/usr/lib/ruby/gems/2.4.0/gems/colorize-0.8.1/test/test_colorize.rb exists in both 'ruby-colorize' and 'yawast'
/usr/lib/ruby/gems/2.4.0/specifications/colorize-0.8.1.gemspec exists in both 'ruby-colorize' and 'yawast'
wifiphisher: /usr/bin/wifiphisher exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/cache/minitest-5.10.1.gem exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/History.rdoc exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/Manifest.txt exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/README.rdoc exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/Rakefile exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/design_rationale.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/lib/hoe/minitest.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/lib/minitest.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/lib/minitest/assertions.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/lib/minitest/autorun.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/lib/minitest/benchmark.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/lib/minitest/expectations.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/lib/minitest/hell.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/lib/minitest/mock.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/lib/minitest/parallel.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/lib/minitest/pride.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/lib/minitest/pride_plugin.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/lib/minitest/spec.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/lib/minitest/test.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/lib/minitest/unit.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/test/minitest/metametameta.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/test/minitest/test_minitest_benchmark.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/test/minitest/test_minitest_mock.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/test/minitest/test_minitest_reporter.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/test/minitest/test_minitest_spec.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/gems/minitest-5.10.1/test/minitest/test_minitest_test.rb exists in filesystem
yawast: /usr/lib/ruby/gems/2.4.0/specifications/minitest-5.10.1.gemspec exists in filesystem
Errors occurred, no packages were upgraded.

Network Administrator
Moesakaru sekai ni

آفلاین

#6 2017-05-02 21:32:11

Риал Краесис
عضو
از : تهران
ثبت شده: 2015-09-16
ارسال ها: 303

پاسخ: مشکل در نصب برنامه failed to commit transaction

شما به نظر من مشکل دپندنسی داری و اینکه از بعضی از کتابخونه ها چند نسخه و یا یک نسخه چندبار وجود دارن که باعث ایجاد مشکل میشه!


*** I FIGHT FOR USERS ***

آفلاین

#7 2017-05-03 00:01:37

pmzt
عضو
از : tehran
ثبت شده: 2016-03-13
ارسال ها: 61
وب سایت

پاسخ: مشکل در نصب برنامه failed to commit transaction

Риал Краесис نوشته است که:

شما به نظر من مشکل دپندنسی داری و اینکه از بعضی از کتابخونه ها چند نسخه و یا یک نسخه چندبار وجود دارن که باعث ایجاد مشکل میشه!

خب چیکار میشه کرد؟


Network Administrator
Moesakaru sekai ni

آفلاین

#8 2017-05-03 21:28:11

morealaz
عضو
از : کرمان
ثبت شده: 2016-03-19
ارسال ها: 292

پاسخ: مشکل در نصب برنامه failed to commit transaction

مشکل به خاطر conflict بین چند تا از بسته ها هست که فایلهای یکسانی رو در یک محل در سیستم نصب می کنند. باید از بین اون برنامه هایی که با هم ناسازگاری دارند فقط یکی رو نصب کنید. متاسفانه ظاهرا توسعه دهنده گان blackarch تمام بسته ها رو از نظر ناسازگاری با هم چک نکردند. برای همین زمانی که می خواهید تمام بسته های مربوط به گروه blackarch رو نصب کنید با مشکل بر می خورید.
من توصیه می کنم اگر صرفا هدف تون نصب بسته های مختلف امنیتی و تست نفوذ هست و توزیع براتون مهم نیست، از توزیع archstrike استفاده کنید.

آفلاین

پانوشت انجمن

پشتیبانی توسط تیم آرچ لینوکس ایران و نیرو گرفته با FluxBB